Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::TexGenNode Class Reference

Node for defining the position of TexGen in the scene. More...

Inheritance diagram for osg::TexGenNode:

[legend]
List of all members.

## Public Types
enum | ReferenceFrame { RELATIVE_RF, ABSOLUTE_RF }
## Public Member Functions
| TexGenNode ()
| TexGenNode (TexGen *texgen)
| TexGenNode (const TexGenNode &tgb, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, TexGenNode)
void | setReferenceFrame (ReferenceFrame rf)
| Set the TexGenNode's ReferenceFrame, either to be relative to its parent reference frame.
ReferenceFrame | getReferenceFrame () const
| Ge thte TexGenNode's ReferenceFrame.
void | setTextureUnit (unsigned int textureUnit)
| Set the texture unit that this TexGenNode is associated with.
unsigned int | getTextureUnit () const
void | setTexGen (TexGen *texgen)
| Set the TexGen.
TexGen * | getTexGen ()
| Get the TexGen.
const TexGen * | getTexGen () const
| Get the const TexGen.
## Protected Member Functions
virtual | ~TexGenNode ()
## Protected Attributes
unsigned int | _textureUnit
StateAttribute::GLModeValue | _value
osg::ref_ptr< TexGen > | _texgen
ReferenceFrame | _referenceFrame

## Detailed Description

Node for defining the position of TexGen in the scene.

## Member Enumeration Documentation

enum osg::TexGenNode::ReferenceFrame

  | Enumeration values:
  RELATIVE_RF |
  ABSOLUTE_RF |

## Constructor & Destructor Documentation

osg::TexGenNode::TexGenNode | ( |  | ) |

osg::TexGenNode::TexGenNode | ( | TexGen * | texgen | ) |

osg::TexGenNode::TexGenNode | ( | const TexGenNode & | tgb,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) |

virtual osg::TexGenNode::~TexGenNode | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

ReferenceFrame osg::TexGenNode::getReferenceFrame | ( |  | ) | const`[inline]`

| Ge thte TexGenNode's ReferenceFrame.

const TexGen* osg::TexGenNode::getTexGen | ( |  | ) | const`[inline]`

| Get the const TexGen.

TexGen* osg::TexGenNode::getTexGen | ( |  | ) | `[inline]`

| Get the TexGen.

unsigned int osg::TexGenNode::getTextureUnit | ( |  | ) | const`[inline]`

osg::TexGenNode::META_Node | ( | osg | ,
|  | TexGenNode |
| ) |

void osg::TexGenNode::setReferenceFrame | ( | ReferenceFrame | rf | ) |

| Set the TexGenNode's ReferenceFrame, either to be relative to its parent reference frame.

void osg::TexGenNode::setTexGen | ( | TexGen * | texgen | ) |

| Set the TexGen.

void osg::TexGenNode::setTextureUnit | ( | unsigned int | textureUnit | ) | `[inline]`

| Set the texture unit that this TexGenNode is associated with.

## Member Data Documentation

ReferenceFrame osg::TexGenNode::_referenceFrame`[protected]`

osg::ref_ptr<TexGen> osg::TexGenNode::_texgen`[protected]`

unsigned int osg::TexGenNode::_textureUnit`[protected]`

StateAttribute::GLModeValue osg::TexGenNode::_value`[protected]`

The documentation for this class was generated from the following file:

- TexGenNode